%define tarname	Traits
%define name	python-enthought-traits
%define version	3.3.0
%define release %mkrel 1

%define epoch	1

Summary:	Enthought Tool Suite - Traits project
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
Source0:	%{tarname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/traits/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	python-enthought-traits-ui
Requires:	python-enthought-enthoughtbase >= %{epoch}:3.0.4
Requires:	python-numpy >= 1.1.0
BuildRequires:	python-setupdocs >= 1.0
BuildRequires:	python-setuptools >= 0.6c8
BuildRequires:	python-sphinx, python-docutils
%py_requires -d

%description
The Traits project allows Python programmers to use a special kind of type
definition called a trait which provides object attributes with some 
additional characteristics:

* Initialization: A trait has a default value, which is automatically
  set as the initial value of an attribute before its first use in a
  program.
* Validation: A trait attribute's type is explicitly declared. The
  type is evident in the code, and only values that meet a
  programmer-specified set of criteria (i.e., the trait definition)
  can be assigned to that attribute.
* Delegation: The value of a trait attribute can be contained either
  in the defining object or in another object delegated to by the
  trait.
* Notification: Setting the value of a trait attribute can notify
  other parts of the program that the value has changed.
* Visualization: User interfaces that allow a user to interactively
  modify the value of a trait attribute can be automatically
  constructed using the trait's definition. (This feature requires
  that a supported GUI toolkit be installed. If this feature is not
  used, the Traits project does not otherwise require GUI support.)

A class can freely mix trait-based attributes with normal Python
attributes, or can opt to allow the use of only a fixed or open set of
trait attributes within the class. Trait attributes defined by a class
are automatically inherited by any subclass derived from the class.

%prep
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build
%__python setup.py build_docs --formats html

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt examples/ build/docs/html/



%changelog
* Fri Feb 26 2010 Lev Givon <lev@mandriva.org> 1:3.3.0-1mdv2010.0
+ Revision: 512085
- Update to 3.3.0.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 1:3.2.0-2mdv2010.0
+ Revision: 419331
- Add epoch to permit backport and facilitate update from 2009.1.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 3.2.0-1mdv2010.0
+ Revision: 419049
- Update to 3.2.0.

* Fri Apr 03 2009 Lev Givon <lev@mandriva.org> 3.1.0-1mdv2010.0
+ Revision: 363894
- Update to 3.1.0.

* Thu Mar 19 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.1.0-1mdv2009.1
+ Revision: 358088
- Update to latest upstream svn.

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 3.0.3-2mdv2009.1
+ Revision: 323683
- rebuild

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.0.3-1mdv2009.1
+ Revision: 313642
- Update to 3.0.3.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.2-1mdv2009.1
+ Revision: 298925
- Update to 3.0.2.
  Obsolete old python-enthought-traits-ui package.

* Wed Jul 16 2008 Lev Givon <lev@mandriva.org> 2.0.5-2mdv2009.0
+ Revision: 236644
- Bump release to placate build system.
- import python-enthought-traits


* Tue Jul 15 2008 Lev Givon <lev@mandriva.org> 2.0.5-1mdv2008.1
- Package for Mandriva.
